Page MenuHomePhabricator

Clarify license of Universal Language Selector
Closed, ResolvedPublic

Event Timeline

Reedy created this task.May 1 2020, 8:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2020, 8:26 PM

Is ULS dual licensed MIT and GPL?

Yes.

Looking at https://spdx.org/ids-how - I think the question to answer would it be AND or OR type multi licensing. I'm not fully sure about the implications, but I think the intention is OR.

Reedy added a comment.May 2 2020, 11:57 AM

Looking at https://spdx.org/ids-how - I think the question to answer would it be AND or OR type multi licensing. I'm not fully sure about the implications, but I think the intention is OR.

I think so too..

// SPDX-License-Identifier: Apache-2.0 OR MIT
    The licensee may choose to use the file under either the Apache-2.0 license or the MIT license.
// SPDX-License-Identifier: Apache-2.0 AND MIT
    The file is subject to both the Apache-2.0 license and the MIT license.
    The licensee must comply with both licenses when using the file.

Change 593898 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/UniversalLanguageSelector@master] Update license-name to include OR MIT

https://gerrit.wikimedia.org/r/593898

Reedy added a comment.May 2 2020, 12:00 PM

Patch not necessarily to be merged just yet... but gives something to play with for T251642

Reedy added a comment.May 2 2020, 12:06 PM

Though, as far as MW is concerned, it just links the lot, so that's fine

Just need to do something when you click through to Special:Version/License/UniversalLanguageSelector, as even though there's 2 LICENSE files, nothing is displayed

Change 593898 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update license-name to include OR MIT

https://gerrit.wikimedia.org/r/593898

Nikerabbit closed this task as Resolved.May 4 2020, 6:36 AM
Nikerabbit assigned this task to Reedy.
Nikerabbit removed a project: Language-Team.